MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Append Inbound SMS (M2M)Claim A Channel Delivery For Sending (M2M)Commit A Leased Turn's Response (M2M)Report A Delivery Failed (M2M)Report A Delivery Sent (M2M)Read The Context A Leased Turn Answers (M2M)
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API Referencebundler

Report A Delivery Sent (M2M)

POST
/v1/bundler/messaging/deliveries/{delivery_id}/sent

Path Parameters

delivery_id*Delivery Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/bundler/messaging/deliveries/497f6eca-6276-4993-bfeb-53cbbbba6f08/sent" \  -H "Content-Type: application/json" \  -d '{    "provider_message_id": "string"  }'
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Report A Delivery Failed (M2M)

Previous Page

Read The Context A Leased Turn Answers (M2M)

Next Page

provider_message_id*Provider Message Id
Length1 <= length <= 128